# IntelliPhoto: IntelliInputDialog Class Reference

IntelliInputDialog Class Reference

`#include <IntelliInputDialog.h>`

Inheritance diagram for IntelliInputDialog:

## Public Slots

void | slotCloseEvent ()
void | slotEingabe ()

## Public Member Functions

| IntelliInputDialog (QString Title=nullptr, QString Label=nullptr, int value=5, int minValue=-2147483647, int maxValue=2147483647, int step=1, bool *ok=nullptr)

## Static Public Member Functions

static int | getInt (QString Title=nullptr, QString Label=nullptr, int value=5, int minValue=-2147483647, int maxValue=2147483647, int step=1, bool *ok=nullptr)

## Detailed Description

Definition at line 12 of file IntelliInputDialog.h.

## Constructor & Destructor Documentation

## IntelliInputDialog()

IntelliInputDialog::IntelliInputDialog | ( | QString | Title = `nullptr`,
|  | QString | Label = `nullptr`,
|  | int | value = `5`,
|  | int | minValue = `-2147483647`,
|  | int | maxValue = `2147483647`,
|  | int | step = `1`,
|  | bool * | ok = `nullptr`
| ) |  |

Definition at line 3 of file IntelliInputDialog.cpp.

## Member Function Documentation

## getInt()

int IntelliInputDialog::getInt | ( | QString | Title = `nullptr`,
|  | QString | Label = `nullptr`,
|  | int | value = `5`,
|  | int | minValue = `-2147483647`,
|  | int | maxValue = `2147483647`,
|  | int | step = `1`,
|  | bool * | ok = `nullptr`
| ) |  |

static

Definition at line 16 of file IntelliInputDialog.cpp.

## slotCloseEvent

void IntelliInputDialog::slotCloseEvent | ( |  | ) |

slot

Definition at line 74 of file IntelliInputDialog.cpp.

## slotEingabe

void IntelliInputDialog::slotEingabe | ( |  | ) |

slot

Definition at line 78 of file IntelliInputDialog.cpp.

The documentation for this class was generated from the following files:

- src/GUI/IntelliInputDialog.h
- src/GUI/IntelliInputDialog.cpp